#set_verify_elf_method relaxed

%def_without	debug
%def_with	svg
%def_with	sqlite
%def_with	libxul
%def_without	mozldap
%def_with	gnome
%def_without	xpcom_python
%def_with	hunspell

%define xulr_name                   xulrunner
%define xulr_prefix                 %_libdir/%xulr_name
%define xulr_datadir                %_datadir/%xulr_name
%define xulr_idldir                 %_datadir/idl/%xulr_name
%define xulr_includedir             %_includedir/%xulr_name
%define xulr_develdir               %xulr_prefix-devel
%define xulr_arch_extensionsdir     %xulr_prefix/extensions
%define xulr_noarch_extensionsdir   %xulr_datadir/extensions

Summary:	XUL Runner
Name:		xulrunner-192
Version:	1.9.2.15
Release:	alt0.20110308.M50P.1

License:	MPL/GPL/LGPL
Group:		Networking/Other
Url:		http://wiki.mozilla.org/XUL:Xul_Runner
Packager:	Alexey Gladkov <legion@altlinux.ru>

Source0:	xulrunner-source.tar
Source1:	update-sdk.sh

Patch0:		xulrunner-no-version.patch
Patch1:		xulrunner-fix-gre-installation.patch
Patch2:		xulrunner-prefs-changes.patch
Patch3:		xulrunner19-alt-extensions-dir.patch
Patch4:		mixed-spellcheck-3.patch

Patch6:		xulrunner-crashreporter.patch
#Patch7:	xulrunner-register-hunspell.patch
Patch8:		xulrunner-nsSound.patch

# RH patches
Patch100:	mozilla-192-path.patch
Patch101:	mozilla-192-pkgconfig.patch
#Patch103:	mozilla-sqlite.patch
Patch104:	mozilla-nongnome-proxies.patch
Patch105:	mozilla-prefer_plugin_pref.patch
Patch106:	mozilla-startup-notification.patch

Patch200:	xulrunner-use-mozsqlite.patch

Patch501:	mozilla-bug534787.patch
Patch502:	mozilla-bug545513.patch
Patch503:	mozilla-bug546272.patch

Requires:	hunspell-en
Requires:	%name-libs = %version-%release

Requires:	libnspr       >= 4.8.7-alt0.M50P.1
Requires:	libnss        >= 3.12.9.0-alt0.M50P.1
Requires:	libsqlite3    >= 3.7.2-alt0.M50P.1
Provides:	xulrunner = %version-%release
Obsoletes:	xulrunner

# Automatically added by buildreq on Fri Feb 08 2008
BuildRequires: bzlib-devel doxygen gcc-c++ imake libIDL-devel makedepend
BuildRequires: libXt-devel libX11-devel libXext-devel libXft-devel
BuildRequires: libcurl-devel libgtk+2-devel libhunspell-devel libjpeg-devel
BuildRequires: xorg-cf-files chrpath alternatives
BuildRequires: python-modules-compiler python-modules-logging
BuildRequires: libwireless-devel
BuildRequires: libalsa-devel
BuildRequires: libnotify-devel
BuildRequires: zip unzip
BuildRequires: libshell
BuildRequires: libcairo-devel libpixman-devel

BuildRequires: libnspr-devel       >= 4.8.7-alt0.M50P.1
BuildRequires: libnss-devel        >= 3.12.9.0-alt0.M50P.1
BuildRequires: libnss-devel-static >= 3.12.9.0-alt0.M50P.1
BuildRequires: libsqlite3-devel    >= 3.7.2-alt0.M50P.1


BuildRequires: autoconf_2.13
%set_autoconf_version 2.13

%description
XULRunner is a single "gecko runtime" installable package
that can be used to bootstrap multiple XUL+XPCOM applications

%package libs
Summary:	XULRunner libraries.
Group:		System/Libraries
Provides:	xulrunner-libs = %version-%release
Obsoletes:	xulrunner-libs

%description libs
XULRunner  libraries.

%package devel
Summary:	XULRunner development kit.
Group:		Development/C++

Requires:	%name = %version-%release
Conflicts:	seamonkey-devel
Provides:	xulrunner-devel = %version-%release
Obsoletes:	xulrunner-devel

%description devel
XULRunner development kit.

%if_with gnome
%package gnome-support
Summary:	XULRunner development kit.
Group:		Development/Other
Requires:	%name = %version-%release
Provides:	xulrunner-gnome-support = %version-%release
Obsoletes:	xulrunner-gnome-support

BuildRequires:	gnome-vfs-devel libgnomeui-devel libgnome-devel
BuildRequires:  libcanberra-devel

%description gnome-support
GNOME support in XULRunner.
%endif

%if_with xpcom_python
%package -n python-module-xpcom
Summary:	XPCOM bindings for Python
Group:		Development/Python
Requires:	%name = %version-%release
Conflicts:	python-module-xpcom
BuildRequires:	python-dev python-modules-compiler

%description -n python-module-xpcom
PyXPCOM allows for communication between Python and XPCOM, such that
a Python application can access XPCOM objects, and XPCOM can access
any Python class that implements an XPCOM interface.
With PyXPCOM, a developer can talk to XPCOM or embed Gecko from
a Python application.
%endif

%package -n rpm-build-mozilla.org
Summary:	RPM helpers to build Mozilla.org packages
Group:		Development/Other
BuildArch:	noarch
Requires:	raptor rpm-utils

%description -n rpm-build-mozilla.org
These helpers provide possibility to build Mozilla.org packages
by some Alt Linux Team Policy compatible way.

%prep
%setup -q -c -n %name-%version
cd %_builddir/%name-%version/mozilla

%patch0 -p1 -b .fix0
%patch1 -p1 -b .fix1
%patch2 -p1 -b .fix2
%patch3 -p1 -b .fix3
#patch4 -p1 -b .fix4
#patch6 -p1 -b .fix6
#patch7 -p1 -b .fix7
%patch8 -p1 -b .fix8

%patch100 -p1 -b .fix100
%patch101 -p1 -b .fix101
#patch103 -p1 -b .fix103
%patch104 -p0 -b .fix104
%patch105 -p1 -b .fix105
#patch106 -p1 -b .fix106

# mozsqlite
#patch200 -p1 -b .fix200

%patch501 -p1 -b .fix501
%patch502 -p1 -b .fix502
%patch503 -p1 -b .fix503

%build
cd %_builddir/%name-%version/mozilla

%if_without sqlite
	# Add fake RPATH
	rpath="/$(printf %%s '%xulr_prefix' |tr '[:print:]' '_')"
	export LDFLAGS="$LDFLAGS -Wl,-rpath,$rpath"
%endif

%add_optflags %optflags_shared

export LIBIDL_CONFIG=/usr/bin/libIDL-config-2

sed -i \
	-e 's#^AC_CONFIG_AUX_DIR(\${srcdir}/build/autoconf)#AC_CONFIG_AUX_DIR(build/autoconf)#' \
	configure.in
%__autoconf

cd js/src
%__autoconf
cd -

%configure \
	--includedir=%_includedir \
	--disable-activex \
	--disable-activex-scripting \
	--disable-tests \
	--disable-installer \
	--disable-updater \
	--disable-crashreporter \
	--disable-mochitest \
	--disable-freetype2 \
	--disable-javaxpcom \
	--disable-elf-dynstr-gc \
	--disable-necko-wifi \
	--disable-dbus \
	--enable-xft \
	--enable-crypto \
	--enable-application=xulrunner \
	--enable-optimize="-O2" \
	--enable-default-toolkit=cairo-gtk2 \
	--enable-canvas \
	--enable-safe-browsing \
	--enable-url-classifier \
	--enable-jemalloc \
	--enable-oji \
	--enable-old-abi-compat-wrappers \
%if_with debug
	--disable-strip \
	--enable-debug \
	--enable-debug-modules \
	--enable-logrefcnt \
	--enable-debugger-info-modules \
	--enable-detect-webshell-leaks \
%else
	--enable-strip \
	--enable-install-strip \
	--disable-debug \
%endif # debug
%if_with svg
	--enable-svg \
  	--enable-svg-renderer-cairo \
%endif # svg
%if_with libxul
	--enable-libxul \
%endif # libxul
%if_with sqlite
	--enable-system-sqlite \
%endif # sqlite
%if_with mozldap
	--enable-ldap \
	--with-system-mozldap \
%endif # mozldap
%if_with hunspell
	--enable-system-hunspell \
%endif # hunspell
%if_with xpcom_python
	--enable-extensions="default,python/xpcom" \
%endif # xpcom_python
%if_with gnome
	\
%endif # gnome
	\
	--without-system-png \
	--disable-system-lcms \
	\
	--enable-places \
	--enable-storage \
	--enable-system-cairo \
	--with-system-nspr \
	--with-system-nss \
	--with-system-jpeg \
	--with-system-zlib \
	--with-system-bz2 \
	--with-pthreads \
	#

%make_build \
	mozappdir=%xulr_prefix \
	#

%install
cd %_builddir/%name-%version/mozilla
%__mkdir_p \
	%buildroot/%xulr_arch_extensionsdir \
	%buildroot/%xulr_noarch_extensionsdir \
	%buildroot/%_datadir/mime/packages \
	%buildroot/%python_sitelibdir \
	#

%makeinstall \
	idldir=%buildroot/%xulr_idldir \
	includedir=%buildroot/%xulr_includedir \
	mozappdir=%buildroot/%xulr_prefix \
	#

%SOURCE1 \
	--develdir="%buildroot/%xulr_prefix-devel" \
	--bindir="%buildroot/%_bindir" \
	--libdir="%buildroot/%xulr_prefix" \
	--idldir="%buildroot/%xulr_idldir" \
	--includedir="%buildroot/%xulr_includedir" \
        --rpath="" \
        #

# Install altlinux-specific configuration
install -pD -m 644 \
	rpm/all-altlinux.js %buildroot/%xulr_prefix/defaults/pref/all-altlinux.js

# Install rpm-build-mozilla.org
mkdir -p -- %buildroot/%_datadir/%xulr_name %buildroot/%_rpmlibdir

for f in rpm/rpm-build/installrdf.sh rpm/rpm-build/applicationini.sh; do
	fn="${f##*/}"
	sed \
		-e 's,@require_gre_name@,%name,g' \
		-e 's,@rpmdatadir@,%_datadir/rpm-build-mozilla,g' \
		< "$f" > %buildroot/%_bindir/$fn
	chmod 755 -- %buildroot/%_bindir/$fn
done

install -D -m644 \
	rpm/rpm-build/mozilla-sh-functions \
	%buildroot/%_datadir/rpm-build-mozilla/mozilla-sh-functions
install -D -m755 \
	rpm/rpm-build/xulrunner.req* \
	%buildroot/%_rpmlibdir/
install -D -m644 \
	rpm/rpm-build/rpm.macros.standalone \
	%buildroot/%_sysconfdir/rpm/macros.d/%xulr_name
sed -i \
	-e 's,@xulr_version@,%version,g' \
	-e 's,@xulr_release@,%release,g' \
	\
	%buildroot/%_sysconfdir/rpm/macros.d/%xulr_name
install -D -m644 \
	rpm/xpi-mimeinfo.xml \
	%buildroot/%_datadir/mime/packages/xpi-mimeinfo.xml

cd %buildroot
rm -f -- \
	./%xulr_prefix/run-mozilla.sh \
	./%xulr_prefix/LICENSE \
	./%xulr_prefix/README.txt \
	./%xulr_prefix/dictionaries/* \
	#

ln -s %_datadir/myspell/en_US.aff ./%xulr_prefix/dictionaries/en-US.aff
ln -s %_datadir/myspell/en_US.dic ./%xulr_prefix/dictionaries/en-US.dic

mkdir -p -- ./%_sysconfdir/mozilla/%xulr_name/default
mv -f -- ./%xulr_prefix/defaults ./%_sysconfdir/mozilla/%xulr_name/default/
ln -s -- default ./%_sysconfdir/mozilla/%xulr_name/current
ln -s -- %_sysconfdir/mozilla/%xulr_name/current/defaults ./%xulr_prefix/defaults

ln -sf -- $(relative "%xulr_prefix/xulrunner-bin" "%_bindir/%xulr_name") ./%_bindir/%xulr_name

%if_with xpcom_python
	mv -f -- ./%xulr_prefix/python/xpcom ./%python_sitelibdir
	rm -rf -- ./%xulr_prefix/python
%endif

# Add alternatives
mkdir -p -- ./%_altdir
printf '%_sysconfdir/mozilla/%xulr_name/current\t%_sysconfdir/mozilla/%xulr_name/default\t1\n' >./%_altdir/%xulr_name-settings

# Fix conf
sed -i -e "s#^GRE_PATH=%{buildroot}#GRE_PATH=#" ./%_sysconfdir/gre.d/*.conf
chmod 644 ./%_sysconfdir/gre.d/*.conf

# Fix *.pc
sed -i -e 's#%{buildroot}##g' ./%_libdir/pkgconfig/*.pc
sed -i -e 's#{includedir}/stable#{includedir}#g' ./%_libdir/pkgconfig/mozilla-plugin.pc

%if_without sqlite
	rpath="/$(printf %%s '%xulr_prefix' |tr '[:print:]' '_')"
	find "%buildroot/%xulr_prefix" -type f | 
	while read f; do
		%__file "$f" | grep -qs ELF || continue
		if chrpath -l "$f" | fgrep -qs "RPATH=$rpath"; then
			chrpath -r "%xulr_prefix" "$f"
		fi
	done
%endif

for l in libjemalloc.so libmozjs.so libxpcom.so libxul.so libpyxpcom.so; do
	[ -f .%xulr_prefix/$l ] ||
		continue
	mv -f -- .%xulr_prefix/$l .%_libdir/$l
	ln -s -- "$(relative %_libdir/$l %xulr_prefix/$l)" .%xulr_prefix/$l
done

find -type l -printf '%%p %%l\n' |
	egrep '(\.\./){4,}' |
	cut -d\  -f1 |
while read f; do
	t="$(readlink -ev "$f")";
	l="$(relative "${f#.}" "$t")";
	ln -sf "$l" "$f";
done

%pre
f="%_libdir/xulrunner"
[ ! -L "$f" ] || rm -f -- "$f"
f="%_libdir/xulrunner-1.8.1.10"
[ ! -d "$f" ] || rm -rf -- "$f"

%files
%_sysconfdir/gre.d
%_sysconfdir/mozilla
%exclude %_sysconfdir/mozilla/%xulr_name/current
%_altdir/%xulr_name-settings
%_bindir/%xulr_name
%xulr_prefix
%xulr_noarch_extensionsdir
%_datadir/mime/packages/*.xml
%exclude %xulr_prefix/xpcshell
%exclude %xulr_prefix/xpidl
%exclude %xulr_prefix/xpt_dump
%exclude %xulr_prefix/xpt_link
%if_with xpcom_python
%exclude %xulr_prefix/libpyxpcom.so
%exclude %xulr_prefix/components/libpyloader.so
%exclude %xulr_prefix/components/pyabout.py*
%endif
%if_with gnome
%exclude %xulr_prefix/components/libnkgnomevfs.so
%exclude %xulr_prefix/components/libmozgnome.so
%endif

%if_with gnome
%files gnome-support
%xulr_prefix/components/libnkgnomevfs.so
%xulr_prefix/components/libmozgnome.so
%endif

%files libs
%_libdir/*.so*
%if_with xpcom_python
%exclude %_libdir/libpyxpcom.so*
%endif

%files devel
%_libdir/pkgconfig/*
%xulr_prefix/xpcshell
%xulr_prefix/xpidl
%xulr_prefix/xpt_dump
%xulr_prefix/xpt_link
%xulr_includedir
%xulr_develdir
%xulr_idldir

%if_with xpcom_python
%files -n python-module-xpcom
%_libdir/libpyxpcom.so*
%xulr_prefix/libpyxpcom.so
%xulr_prefix/components/libpyloader.so
%xulr_prefix/components/pyabout.py*
%python_sitelibdir/xpcom
%endif

%files -n rpm-build-mozilla.org
%_bindir/installrdf.sh
%_bindir/applicationini.sh
%_sysconfdir/rpm/macros.d/%xulr_name
%_rpmlibdir/xulrunner.req*
%_datadir/rpm-build-mozilla/mozilla-sh-functions

%changelog
* Thu Mar 24 2011 Andrey Cherepanov <cas@altlinux.org> 1.9.2.15-alt0.20110308.M50P.1
- Backport to p5 branch (new version with security fixes)

* Tue Mar 08 2011 Alexey Gladkov <legion@altlinux.ru> 1.9.2.15-alt1.20110308
- New development snapshot 1.9.2.16pre (20110308).
- Fixed:
  + MFSA 2011-10 CSRF risk with plugins and 307 redirects
  + MFSA 2011-09 Crash caused by corrupted JPEG image
  + MFSA 2011-08 ParanoidFragmentSink allows javascript: URLs in chrome documents
  + MFSA 2011-07 Memory corruption during text run construction (Windows)
  + MFSA 2011-06 Use-after-free error using Web Workers
  + MFSA 2011-05 Buffer overflow in JavaScript atom map
  + MFSA 2011-04 Buffer overflow in JavaScript upvarMap
  + MFSA 2011-03 Use-after-free error in JSON.stringify
  + MFSA 2011-02 Recursive eval call causes confirm dialogs to evaluate to true
  + MFSA 2011-01 Miscellaneous memory safety hazards (rv:1.9.2.14/ 1.9.1.17)

* Thu Feb 24 2011 Alexey Gladkov <legion@altlinux.ru> 1.9.2.14-alt1.20110224
- New development snapshot 1.9.2.15pre (20110224).

* Wed Dec 22 2010 Alexey Gladkov <legion@altlinux.ru> 1.9.2.14-alt1.20101222
- New development snapshot 1.9.2.14pre (20101222).
- Fixed:
  + MFSA 2010-84 XSS hazard in multiple character encodings
  + MFSA 2010-83 Location bar SSL spoofing using network error page
  + MFSA 2010-82 Incomplete fix for CVE-2010-0179
  + MFSA 2010-81 Integer overflow vulnerability in NewIdArray
  + MFSA 2010-80 Use-after-free error with nsDOMAttribute MutationObserver
  + MFSA 2010-79 Java security bypass from LiveConnect loaded via data: URL meta refresh
  + MFSA 2010-78 Add support for OTS font sanitizer
  + MFSA 2010-77 Crash and remote code execution using HTML tags inside a XUL tree
  + MFSA 2010-76 Chrome privilege escalation with window.open and <isindex> element
  + MFSA 2010-75 Buffer overflow while line breaking after document.write with long string
  + MFSA 2010-74 Miscellaneous memory safety hazards (rv:1.9.2.13/ 1.9.1.16)

* Wed Nov 10 2010 Alexey Gladkov <legion@altlinux.ru> 1.9.2.13-alt1.20101110
- New development snapshot 1.9.2.13pre (20101110).
- Fixed:
  + MFSA 2010-73 Heap buffer overflow mixing document.write and DOM insertion

* Tue Oct 26 2010 Alexey Gladkov <legion@altlinux.ru> 1.9.2.12-alt1.20101025
- New development snapshot 1.9.2.12pre (20101025).
- Fixed:
  + MFSA 2010-72 Insecure Diffie-Hellman key exchange
  + MFSA 2010-71 Unsafe library loading vulnerabilities
  + MFSA 2010-70 SSL wildcard certificate matching IP addresses
  + MFSA 2010-69 Cross-site information disclosure via modal calls
  + MFSA 2010-68 XSS in gopher parser when parsing hrefs
  + MFSA 2010-67 Dangling pointer vulnerability in LookupGetterOrSetter
  + MFSA 2010-66 Use-after-free error in nsBarProp
  + MFSA 2010-65 Buffer overflow and memory corruption using document.write
  + MFSA 2010-64 Miscellaneous memory safety hazards (rv:1.9.2.11/ 1.9.1.14)

* Mon Sep 20 2010 Alexey Gladkov <legion@altlinux.ru> 1.9.2.11-alt1.20100920
- New development snapshot 1.9.2.11pre (20100920).

* Sun Sep 12 2010 Alexey Gladkov <legion@altlinux.ru> 1.9.2.9-alt1.20100909
- New development snapshot 1.9.2.10pre (20100909).
- Fixed:
  + MFSA 2010-63 Information leak via XMLHttpRequest statusText
  + MFSA 2010-62 Copy-and-paste or drag-and-drop into designMode document allows XSS
  + MFSA 2010-61 UTF-7 XSS by overriding document charset using <object> type attribute
  + MFSA 2010-59 SJOW creates scope chains ending in outer object
  + MFSA 2010-58 Crash on Mac using fuzzed font in data: URL
  + MFSA 2010-57 Crash and remote code execution in normalizeDocument
  + MFSA 2010-56 Dangling pointer vulnerability in nsTreeContentView
  + MFSA 2010-55 XUL tree removal crash and remote code execution
  + MFSA 2010-54 Dangling pointer vulnerability in nsTreeSelection
  + MFSA 2010-53 Heap buffer overflow in nsTextFrameUtils::TransformText
  + MFSA 2010-52 Windows XP DLL loading vulnerability
  + MFSA 2010-51 Dangling pointer vulnerability using DOM plugin array
  + MFSA 2010-50 Frameset integer overflow vulnerability
  + MFSA 2010-49 Miscellaneous memory safety hazards (rv:1.9.2.9/ 1.9.1.12)

* Mon Sep 06 2010 Andrey Cherepanov <cas@altlinux.org> 1.9.2.9-alt0.20100725.M50P.1
- backport to p5 branch (new version with security fixes)

* Sun Jul 25 2010 Alexey Gladkov <legion@altlinux.ru> 1.9.2.9-alt1.20100725
- New development snapshot 1.9.2.7pre (20100725).
- Fixed:
  + MFSA 2010-48 Dangling pointer crash regression from plugin parameter array fix
  + MFSA 2010-47 Cross-origin data leakage from script filename in error messages
  + MFSA 2010-46 Cross-domain data theft using CSS
  + MFSA 2010-45 Multiple location bar spoofing vulnerabilities
  + MFSA 2010-44 Characters mapped to U+FFFD in 8 bit encodings cause subsequent character to vanish
  + MFSA 2010-43 Same-origin bypass using canvas context
  + MFSA 2010-42 Cross-origin data disclosure via Web Workers and importScripts
  + MFSA 2010-41 Remote code execution using malformed PNG image
  + MFSA 2010-40 nsTreeSelection dangling pointer remote code execution vulnerability
  + MFSA 2010-39 nsCSSValue::Array index integer overflow
  + MFSA 2010-38 Arbitrary code execution using SJOW and fast native function
  + MFSA 2010-37 Plugin parameter EnsureCachedAttrParamArrays remote code execution vulnerability
  + MFSA 2010-36 Use-after-free error in NodeIterator
  + MFSA 2010-35 DOM attribute cloning remote code execution vulnerability
  + MFSA 2010-34 Miscellaneous memory safety hazards (rv:1.9.2.7/ 1.9.1.11)

* Sun Jun 27 2010 Alexey Gladkov <legion@altlinux.ru> 1.9.2.7-alt1.20100626
- New development snapshot 1.9.2.7pre (20100626).

* Sun Apr 04 2010 Alexey Gladkov <legion@altlinux.ru> 1.9.2.4-alt1.20100404
- New development snapshot 1.9.2.4pre (20100404).

* Sun Mar 28 2010 Alexey Gladkov <legion@altlinux.ru> 1.9.2.3-alt1.20100328
- New development snapshot 1.9.2.3pre (20100328).

* Fri Mar 19 2010 Alexey Gladkov <legion@altlinux.ru> 1.9.2.0-alt1.20100122.1
- Fix pkgconfig file.

* Wed Jan 22 2010 Alexey Gladkov <legion@altlinux.ru> 1.9.2.0-alt1.20100122
- New development snapshot (20100122).

* Sun Nov 08 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.2.0-alt1.20091124
- New branch (1.9.2.0 20091124).

* Fri Nov 06 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.1.5-alt1.20091106
- Bugfix build up to Firefox 3.5.5.

* Sun Nov 01 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.1.5-alt0.20091101
- New development snapshot (20091101).
- Fixed:
  + MFSA 2009-64  Crashes with evidence of memory corruption (rv:1.9.1.4/ 1.9.0.15)
  + MFSA 2009-63 Upgrade media libraries to fix memory safety bugs
  + MFSA 2009-62 Download filename spoofing with RTL override
  + MFSA 2009-61 Cross-origin data theft through document.getSelection()
  + MFSA 2009-59 Heap buffer overflow in string to number conversion
  + MFSA 2009-57 Chrome privilege escalation in XPCVariant::VariantDataToJS()
  + MFSA 2009-56 Heap buffer overflow in GIF color map parser
  + MFSA 2009-55 Crash in proxy auto-configuration regexp parsing
  + MFSA 2009-54 Crash with recursive web-worker calls
  + MFSA 2009-53 Local downloaded file tampering
  + MFSA 2009-52 Form history vulnerable to stealing

* Sun Oct 18 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.1.5-alt0.20091018
- New development snapshot (20091018).

* Sat Oct 10 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.1.4-alt0.20091010
- New development snapshot (20091010).
- KDE: Update patches (ALT#21678).

* Fri Sep 18 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.1.4-alt0.20090918
- New development snapshot (20090918).
- Add KDE integration from SUSE (ALT#21511).
- Add mimeinfo for xpi files (ALT#21510).

* Mon Aug 31 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.1.1-alt1.20090831
- New development snapshot (20090831).
- Fixed:
  + MFSA 2009-46  Chrome privilege escalation due to incorrectly cached wrapper
  + MFSA 2009-45 Crashes with evidence of memory corruption (rv:1.9.1.2/1.9.0.13)
  + MFSA 2009-44 Location bar and SSL indicator spoofing via window.open() on invalid URL
  + MFSA 2009-38 Data corruption with SOCKS5 reply containing DNS name longer than 15 characters
  + MFSA 2009-35  Crash and remote code execution during Flash player unloading

* Fri Jul 17 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.1.1-alt1.20090717
- New development snapshot (20090717).
- Fixed:
  + MFSA 2009-41  Corrupt JIT state after deep return from native function.

* Tue Jun 30 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.1-alt1.20090630
- New development snapshot (20090630).

* Wed Jun 03 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.1-alt1.20090601
- New development snapshot.
- Fix extension directories check (closes: #20105).

* Tue Apr 24 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.1-alt1.20090424
- New development snapshot.

* Thu Jan 08 2009 Alexey Gladkov <legion@altlinux.ru> 1.9.1-alt1.20090312
- Bugfix build.
- Build with system mozsqlite3 (sqlite3 unsupported).
- Spellchecker: Multiple language design (moz#69687).
- Spellchecker: Hunspell doesn't recognize misspelled words if they are
  in different encoding (moz#471799).

* Mon Dec 08 2008 Alexey Gladkov <legion@altlinux.ru> 1.9.0.5-alt1.20081205
- Bugfix build.
- Add patch for moz#358926 (closes: #18085).

* Tue Nov 18 2008 Alexey Gladkov <legion@altlinux.ru> 1.9.0.5-alt1.20081118
- Bugfix build up to firefox-3.0.4.
- Add confilct with seamonkey-devel (closes: #17682).
- Move jsapi.h to stable directory (closes: #17561).
- Fixed:
  + MFSA 2008-58 Parsing error in E4X default namespace
  + MFSA 2008-57 -moz-binding property bypasses security checks on codebase principals
  + MFSA 2008-56 nsXMLHttpRequest::NotifyEventListeners() same-origin violation
  + MFSA 2008-55 Crash and remote code execution in nsFrameManager
  + MFSA 2008-54 Buffer overflow in http-index-format parser
  + MFSA 2008-53 XSS and JavaScript privilege escalation via session restore
  + MFSA 2008-52 Crashes with evidence of memory corruption (rv:1.9.0.4/1.8.1.18)
  + MFSA 2008-51 file: URIs inherit chrome privileges when opened from chrome
  + MFSA 2008-47 Information stealing via local shortcut files

* Mon Oct 06 2008 Alexey Gladkov <legion@altlinux.ru> 1.9.0.3-alt1.20081005
- Bugfix build up to firefox-3.0.3.
- Add python-module-xpcom subpackage.
- Firefox does not participate in accessibility on 64 bit Linux (moz#456541).
- Printing on linux should set SIMPLIFY_OPERATORS | DISABLE_SNAPPING (moz#435313).
- MAXPATHLEN too small for glibc's realpath() (moz#412610).
- New preference that allows users to set a preferred plugin
  for a given mime-type.
- Fixed:
  + MFSA 2008-44 resource: traversal vulnerabilities
  + MFSA 2008-43 BOM characters stripped from JavaScript before execution
  + MFSA 2008-42 Crashes with evidence of memory corruption (rv:1.9.0.2/1.8.1.17)
  + MFSA 2008-41 Privilege escalation via XPCnativeWrapper pollution
  + MFSA 2008-40 Forced mouse drag

* Mon Sep 08 2008 Alexey Gladkov <legion@altlinux.ru> 1.9.0.3-alt1.20080908
- Bugfix build.
- Fix BuildRequires.
- Rebuild with hunspell-1.2.7-alt1.
- Add libdir variable into *.pc (ALT#16634).
- Fix #13786.

* Fri Jul 18 2008 Alexey Gladkov <legion@altlinux.ru> 1.9-alt2.20080718
- Bugfix build up to firefox-3.0.1.
- Fixed:
  + MFSA 2008-36 Crash with malformed GIF file on Mac OS X
  + MFSA 2008-35 Command-line URLs launch multiple tabs when Firefox not running
  + MFSA 2008-34 Remote code execution by overflowing CSS reference counter

* Fri Jul 11 2008 Alexey Gladkov <legion@altlinux.ru> 1.9-alt2.20080704
- Bugfix build.
- Tune default settings.
- Stop double instantiation even earlier (BMO#438830).
- Build with --enable-oji (BMO#445063).
- Move libjemalloc.so libmozjs.so libxpcom.so libxul.so into %%_libdir
  and remove RPATH and LD_LIBRARY_PATH.
- Use hunspell-en dictionary.

* Fri Jul 04 2008 Alexey Gladkov <legion@altlinux.ru> 1.9-alt1.20080704
- New cvs snapshot.
- Dont use NetworkManager by default (BMO#424626).
- Allow change default settings.

* Thu Jun 05 2008 Alexey Gladkov <legion@altlinux.ru> 1.9-alt1.20080605
- New cvs snapshot.
- Add new sub-package: xulrunner-gnome-support.

* Thu May 29 2008 Alexey Gladkov <legion@altlinux.ru> 1.9-alt1.20080529
- New cvs snapshot.

* Sun Feb 03 2008 Alexey Gladkov <legion@altlinux.ru> 1.9-alt1.b3pre
- New cvs snapshot.
- Add SDK toolkit.

* Wed Nov 21 2007 Alexey Gladkov <legion@altlinux.ru> 1.8.1.10-alt1
- Build from cvs.

* Fri Sep 28 2007 Alexey Gladkov <legion@altlinux.ru> 1.8.0.4-alt5
- Fix buildrequires;

* Tue Feb 27 2007 Alexey Gladkov <legion@altlinux.ru> 1.8.0.4-alt4
- Remove requires nspr with version from *.pc

* Thu Oct 19 2006 Alexey Gladkov <legion@altlinux.ru> 1.8.0.4-alt3
- Add cookie and permissions extensions.

* Fri Sep 22 2006 Alexey Gladkov <legion@altlinux.ru> 1.8.0.4-alt2
- Fix Cflags in *.pc

* Wed Aug 30 2006 Alexey Gladkov <legion@altlinux.ru> 1.8.0.4-alt1
- New version (1.8.0.4-alt1).
- Update BuildRequires.

* Thu Jul 06 2006 Alexey Gladkov <legion@altlinux.ru> 1.8.0.1-alt2
- fixed build system.

* Sat Mar 25 2006 Alexey Gladkov <legion@altlinux.ru> 1.8.0.1-alt1
- new version.
- Build with system NSS and NSPR.
- Build libxul.
- Header bugfix.
- Directory /usr/share/xulrunner-@version@/extensions was added to extensions search path .
  * this location is controled by the option extensions.dir.extensions .

* Thu Jun 16 2005 Alexey Gladkov <legion@altlinux.ru> 0.0.0-alt1
- first build for ALT Linux.
